<template>
	<view class="productPricing-content">
		<u-navbar leftText="返回" title="产品报价" :safeAreaInsetTop="false" :border-bottom="false" @leftClick="toPage('/pages/sales/index')">
			<view class="u-nav-slot" slot="right" style="padding-right: 20rpx;">
				<u-icon name="search" color="#999" size="28" @click="search"></u-icon>查询
			</view>
		</u-navbar>
		<view class="checkbox-price">
			<u-checkbox-group  placement="row"  @change="checkboxChange">
				<u-checkbox v-model="item.checked" activeColor="rgb(4, 133, 246)" v-for="(item,index) in priceList" :key="index" :name="item.name" :label="item.name">{{item.name}}</u-checkbox>
			</u-checkbox-group>
		</view>
		<scroll-view class="product-list" scroll-y @scrolltolower="onreachBottom">
			<view class="st-detailList-main">
				<view class="st-detailList-main-item" v-for="(item, index) in listData" :key="item.id" @click="getDetail(item)">
					<view class="st-detailList-tit">
						<view class="u-line" :style="{backgroundColor: $config('primaryColor')}"></view>{{item.name}}
					</view>
					<view class="st-detailList-item-con flex align_center">
						<view class="pimgs">
							<u-image :src="item.productMainPic&&item.productMainPic.imageUrl?item.productMainPic.imageUrl:`../../static/${theme}/def_img@2x.png`" width="128" height="128" border-radius="10"></u-image>
						</view>
						<view class="flex_1">
							<view>产品编码：{{item.code}}</view>
							<view class="padding_3">原厂编码：{{item.origCode}}</view>
							<view class="flex align_center justify_between">
								<view class="font_13">
									总款数：<text>{{toThousands(item.stockQty|| 0)}} 个</text>
								</view>
								<view class="font_13">
									车主价：￥<text>{{toThousands(item.carOwnersPrice|| 0,2)}} </text>
								</view>
							</view>
						</view>
					</view>
					<view class="price-all flex">
						<view class="price-item" v-if="isCostPrice">
							<text>{{toThousands(item.offerCost|| 0,2)}} </text>
							<view>成本价</view>
						</view>
						<view class="price-item" v-if="isCityPrice">
							<text>{{toThousands(item.cityPrice|| 0,2)}} </text>
							<view>市级价</view>
						</view>
						<view class="price-item" v-if="isSpecialPrice">
							<text>{{toThousands(item.specialPrice|| 0,2)}} </text>
							<view>特约价</view>
						</view>
						<view class="price-item" v-if="isTerminalPrice">
							<text>{{toThousands(item.terminalPrice|| 0,2)}} </text>
							<view>终端会员价</view>
						</view>
					</view>
				</view>
				<view v-if="listData && listData.length == 0">
					<u-empty :text="noDataText" mode="list" :img-width="200" :margin-top="30"></u-empty>
				</view>
			</view>
		</scroll-view>
		<!-- 搜索弹窗 -->
		<search :showModal="showModal"/>
	</view>
</template>

<script>
	import { toThousands } from '@/libs/tools'
	import { dealerProductList } from '@/api/sales'
	import search from './search.vue'
	export default{
		components:{search},
		data(){
			return{
				toThousands,
				listData:[],
				totalNum:0,
				priceList:[{name:'成本价',checked:false},{name:'市级价',checked:false},{name:'特约价',checked:false},{name:'终端会员价',checked:false}],
				pageNo:1,
				pageSize:10,
				noDataText: '暂无数据',
				theme: '',
				isCostPrice: false,
				isCityPrice: false,
				isSpecialPrice: false,
				isTerminalPrice: false,
				showModal:false,
				params:{}
			}
		},
		onLoad(option) {
			this.theme = getApp().globalData.theme
			this.params = option.data ? JSON.parse(option.data) : {}
			this.getList()
		},
		methods:{
			toPage(url){
				uni.switchTab({
					url:url
				})
			},
			// 搜索
			search(){
				this.showModal=true
				console.log('点击的时间里看电视剧')
			},
			// 价格显示
			checkboxChange(val){
				if(val&&val.length>0){
					const a= val.filter(item=>{return item=='成本价'})
					const b= val.filter(item=>{return item=='市级价'})
					const c= val.filter(item=>{return item=='特约价'})
					const d= val.filter(item=>{return item=='终端会员价'})
					if(a&&a.length>0){
						this.isCostPrice=true
					}else{
						this.isCostPrice=false
					}
					if(b&&b.length>0){
						this.isCityPrice=true
					}else{
						this.isCityPrice=false
					}
					if(c&&c.length>0){
						this.isSpecialPrice=true
					}else{
						this.isSpecialPrice=false
					}
					if(d&&d.length>0){
						this.isTerminalPrice=true
					}else{
						this.isTerminalPrice=false
					}
				}else{
					this.isCostPrice=false
					this.isCityPrice=false
					this.isSpecialPrice=false
					this.isTerminalPrice=false
				}
			},
			// 列表
			getList(pageNo){
				const _this = this
				if (pageNo) {
					this.pageNo = pageNo
				}
				let params = Object.assign(this.params, { pageNo: this.pageNo, pageSize: this.pageSize })
				dealerProductList(params).then(res => {
					if (res.status == 200) {
						if(this.pageNo>1){
							this.listData = this.listData.concat(res.data.list || [])
						}else{
							this.listData = res.data.list || []
						}
						this.totalNum = res.data.count || 0
					} else {
						this.listData = []
						this.totalNum = 0
						this.noDataText = res.message
					}
				})
			},
			// scroll-view到底部加载更多
			onreachBottom() {
				if(this.listData.length < this.totalNum){
					this.pageNo += 1
					this.getList()
				}
			},
		}
	}
</script>

<style lang="scss">
	.productPricing-content{
		width:100%;
		height: 100vh;
		.checkbox-price{
			background-color: #fff;
			display: flex;
			justify-content: space-around;
			padding: 20rpx 0;
			margin-bottom: 15rpx;
			color: #191919;
		}
		.product-list{
			height: calc(100vh - 94upx);
				.st-detailList-main{
					.st-detailList-main-item{
						background: #ffffff;
						padding: 20upx;
						margin-bottom: 25upx;
						border-radius: 25upx;
						box-shadow: 1px 1px 3px #EEEEEE;
						.st-detailList-tit{
							padding-bottom: 20upx;
							border-bottom: 1px solid #e4e7ed;
							white-space: nowrap;
							overflow: hidden;
							text-overflow: ellipsis;
							.u-line{
								display: inline-block;
								width: 6upx;
								height: 40upx;
								background-color: red;
								vertical-align: bottom;
								margin: 0 20upx 0 10upx;
							}
						}
						.st-detailList-item-con{
							padding: 20upx;
							font-size: 26upx;
							.pimgs{
								margin-right: 16upx;
							}
							.font_13{
								font-size: 26upx;
							}
							.padding_3{
								padding: 6upx 0;
							}
						}
						.price-all{
							border-top: 1px solid #e4e7ed;
							padding: 20upx 20upx 0;
							.price-item{
								width: 25%;
								border-right:  1px solid #e4e7ed;
								text-align: center;
								>view{
									color:#999;
								}
							}
							.price-item:last-child{
								border-right:  none;
							}
						}
					}
				}
				
				
		}
	}
</style>
